Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans
Class AbleDataSetDefinition

    java.lang.Object
      com.ibm.able.beans.AbleDataSetDefinition

All Implemented Interfaces:
  java.io.Serializable

public class AbleDataSetDefinition
extends java.lang.Object
implements java.io.Serializable

This class represents a set of meta-data used to describe external data. It consists of a vector of AbleFieldDefinitions which describe individual fields Field definitions contain names, data types, and usage (input/output/ignore) This class can read/write text *.dfn files * SQL datatypes are mapped to AbleFields as follows by default:

See Also:
  Serialized Form

Field Summary
`protected boolean` | `allNumericData`
`protected java.lang.String` | `dataFileName`
`protected java.lang.String` | `dataSetDefinitionFileName`
`protected java.util.Vector` | `fieldDefinitionList`
`protected java.lang.String` | `fileName`
`protected java.sql.ResultSetMetaData` | `metaData` The resultSet from an SQL query is used to obtain SQL meta data and calculate the fieldDefinitionList.

Constructor Summary
`AbleDataSetDefinition()` construct a data set definition object with no field defs
`AbleDataSetDefinition(java.sql.ResultSet resultSet)`
`AbleDataSetDefinition(java.sql.ResultSetMetaData metaData)`

Method Summary
`java.lang.String` | `getDataFileName()` get the data set file name
`java.lang.String` | `getDataSetDefinitionFileName()` get the dfn file name
`java.util.Vector` | `getFieldDefinitionList()` returns a copy of the field definition vector
`java.lang.String` | `getFileName()` get the base file name
`java.sql.ResultSetMetaData` | `getResultSetMetaData()` get the data set file name
`boolean` | `isAllNumericData()` returns true if all fields are numeric, false otherwise
`void` | `load()`
`void` | `save()` write out the metadata describing the data set
`void` | `setDataFileName(java.lang.String dataFileName)` set the data set file name
`void` | `setDataSetDefinitionFileName(java.lang.String dataSetDefinitionFileName)` set the dfn file name
`void` | `setFileName(java.lang.String fileName)` set the base file name
`void` | `setResultSetMetaData(java.sql.ResultSetMetaData metaData)` set the resultSet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileName

    protected java.lang.String fileName

### dataSetDefinitionFileName

    protected java.lang.String dataSetDefinitionFileName

### dataFileName

    protected java.lang.String dataFileName

### allNumericData

    protected boolean allNumericData

### fieldDefinitionList

    protected java.util.Vector fieldDefinitionList

### metaData

    protected transient java.sql.ResultSetMetaData metaData

  The resultSet from an SQL query is used to obtain SQL meta data and calculate the fieldDefinitionList.

Constructor Detail

### AbleDataSetDefinition

    public AbleDataSetDefinition()

  construct a data set definition object with no field defs

### AbleDataSetDefinition

    public AbleDataSetDefinition(java.sql.ResultSetMetaData metaData)

### AbleDataSetDefinition

    public AbleDataSetDefinition(java.sql.ResultSet resultSet)
                          throws AbleException

Method Detail

### getDataSetDefinitionFileName

    public java.lang.String getDataSetDefinitionFileName()

  get the dfn file name

### setDataSetDefinitionFileName

    public void setDataSetDefinitionFileName(java.lang.String dataSetDefinitionFileName)

  set the dfn file name

### getDataFileName

    public java.lang.String getDataFileName()

  get the data set file name

### setResultSetMetaData

    public void setResultSetMetaData(java.sql.ResultSetMetaData metaData)

  set the resultSet

### getResultSetMetaData

    public java.sql.ResultSetMetaData getResultSetMetaData()

  get the data set file name

### setDataFileName

    public void setDataFileName(java.lang.String dataFileName)

  set the data set file name

### getFileName

    public java.lang.String getFileName()

  get the base file name

### setFileName

    public void setFileName(java.lang.String fileName)

  set the base file name

### getFieldDefinitionList

    public java.util.Vector getFieldDefinitionList()

  returns a copy of the field definition vector

### isAllNumericData

    public boolean isAllNumericData()

  returns true if all fields are numeric, false otherwise

### load

    public void load()
              throws AbleException

  Throws:
    `AbleException`

### save

    public void save()
              throws AbleException

  write out the metadata describing the data set

  Throws:
    `AbleException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005